> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VLR esports events (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/events
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/esports/vlr/events:
    get:
      tags:
        - valorant
      summary: Get VLR esports events (v2)
      operationId: esports_events_v2
      parameters:
        - name: region
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/EsportsV2Region'
          style: form
        - name: type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/EsportsV2EventType'
          style: form
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
          style: form
      responses:
        '200':
          description: Esports events retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2EventsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2Region:
      type: string
      enum:
        - north_america
        - europe
        - brazil
        - asia_pacific
        - korea
        - japan
        - latin_america
        - oceania
        - mena
        - gc
        - collegiate
    EsportsV2EventType:
      type: string
      enum:
        - completed
        - upcoming
    EsportsV2EventsResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2Event'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2Event:
      type: object
      required:
        - status
        - region
        - id
        - title
        - slug
        - icon
        - price
        - dates
      properties:
        dates:
          $ref: '#/components/schemas/EsportsV2Date'
        icon:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        price:
          type: string
        region:
          type: string
        slug:
          type: string
        status:
          $ref: '#/components/schemas/EsportsV2EventStatus'
        title:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2Date:
      type: object
      properties:
        end:
          type:
            - string
            - 'null'
        start:
          type:
            - string
            - 'null'
    EsportsV2EventStatus:
      type: string
      enum:
        - completed
        - ongoing
        - upcoming
        - unknown

````